View Issue Details

IDProjectCategoryView StatusLast Update
0031609RunnerWindows (YYC)Public2020-03-09 16:02
ReporterYellowAfterlifeAssigned ToRussell Kay 
PriorityVery LowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOSWindows 10 ProOS Version>=18362
Product Version2.2.5 
Target Version2.3.0Fixed in Version2.3.0 
Summary0031609: YYC: --string_with_a_number_inside and ++SWaN leak the string, ++ is only allowed on YYC
DescriptionIn a step event:
repeat (10000) {
    var i = "1 problem";
    var k = --i;
    // k = ++i; // DoAdd error on VM
}
Tagsyyc
1.4 Found In
2.x Runtime Found In9.9.1.1685
2.x Runtime Verified In9.9.1.1717

Activities

YellowAfterlife

2020-02-08 19:48

Developer  

a_bug.yyz (9,459 bytes)

Russell Kay

2020-02-17 17:09

Manager   ~0065367

I believe I have already fixed this bug recently as the repeat had a stack imbalance on VM - I will check later but pretty sure I have squashed this

Russell Kay

2020-02-18 12:15

Manager   ~0065371

This is fixed in the most recent red...

Alice

2020-03-09 16:02

Adminstrator   ~0065485

Verified fixed on IDE v9.2.1.2152 Runtime v9.9.1.1717.
Closing the bug. Thank you.